#include <stdio.h>

// This reads the includes file created by bB and builds the
// final assembly that will be sent to DASM.
//
// This task used to be done with a batch file/shell script when
// the files in the final asm were static.
// Now, since the files in the final asm can be different, and it doesn't
// make sense to require the user to create a new batch file/shell script.

main()
{
  FILE *includesfile;
  FILE *asmfile;
  char line[500];
  char asmline[500];
  int i;
  if ((includesfile = fopen("includes.bB", "r")) == NULL)  // open file
  {
    fprintf(stderr,"Cannot open includes.bB for reading\n");
    exit(1);
  }

//  while (fgets(line,500,includesfile))
  while (1)
  {
    if (fscanf(includesfile,"%s",line) == EOF) break;
//    for (i=0;i<500;++i) if ((line[i]==0x0A) || (line[i]==0x0D)) line[i]='\0';
    if ((asmfile = fopen(line, "r")) == NULL)  // open file
    {
      fprintf(stderr,"Cannot open %s for reading\n",line);
      exit(1);
    }
    while (fgets(asmline,500,asmfile))
    {
      printf("%s",asmline);
    }
    fclose(asmfile);
  }
}
